Patch a Deployment's resource metadata
- PATCH /deployments/{deployment_id}/{resource_kind}/{ref_id}/metadata/raw
Advanced use only. Patches the internal metadata with the given data.
Request body
The data that should be patched into the metadata.
Type: string
Responses
The resource metadata was successfully changed (the updated JSON is returned)
Response Type: string
Response headers
The metadata is invalid. (code: deployments.invalid_metadata)
The metadata names an identity field that only a platform administrator may set. (code: clusters.restricted_field)
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
Please retry. (code: deployments.metadata_internal_error)
We have failed you. (code: deployments.metadata_internal_error)